import 'package:logger/logger.dart';

Logger logger = Logger();

void logd(
    dynamic message, {
      DateTime? time,
      Object? error,
      StackTrace? stackTrace,
    }) {
  logger.d(message, time: time, error: error, stackTrace: stackTrace);
}

void logi(
    dynamic message, {
      DateTime? time,
      Object? error,
      StackTrace? stackTrace,
    }) {
  logger.i(message, time: time, error: error, stackTrace: stackTrace);
}

void loge(
    dynamic message, {
      DateTime? time,
      Object? error,
      StackTrace? stackTrace,
    }) {
  logger.e(message, time: time, error: error, stackTrace: stackTrace);
}

void logw(
    dynamic message, {
      DateTime? time,
      Object? error,
      StackTrace? stackTrace,
    }) {
  logger.w(message, time: time, error: error, stackTrace: stackTrace);
}

void logf(
    dynamic message, {
      DateTime? time,
      Object? error,
      StackTrace? stackTrace,
    }) {
  logger.f(message, time: time, error: error, stackTrace: stackTrace);
}